#ifndef _ncl_dscalar_h
#define _ncl_dscalar_h 1
/*
The ANSI C Numerical Class Library.
Copyright (C) 2000 E. Robert Tisdale

This file is part of The ANSI C Numerical Class Library.
This library is free software which you can redistribute and/or modify
under the terms of the GNU Library General Public License
as published by the Free Software Foundation;
either version 2, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty
of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU Library General Public License
along with this library.  If not, write to the Free Software Foundation,
Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

Written by E. Robert Tisdale
*/

/* Include global type definitions.	*/
#include<ncl_global.h>

typedef ncl_double	ncl_dscalar;

#define NCL_DMUL(t, x, y) ((t) = (x)*(y))
#define NCL_DDIV(t, x, y) ((t) = (x)/(y))
#define NCL_DADD(t, x, y) ((t) = (x) + (y))
#define NCL_DSUB(t, x, y) ((t) = (x) - (y))

int
(ncl_dfprintf)(FILE *stream, ncl_dscalar x,
    int width, unsigned int precision, ncl_fmtflags flags);

#endif /* _ncl_dscalar_h */
