c     main.f
c 
c The Fortran 77 Numerical Class library
c Copyright (C) 2000 E. Robert Tisdale
c 
c This file is part of The Fortran 77 Numerical Class library.
c This library is free software which you can redistribute and/or modify
c under the terms of the GNU Library General Public License
c as published by the Free Software Foundation;
c either version 2, or (at your option) any later version.
c 
c This library is distributed in the hope that it will be useful,
c but WITHOUT ANY WARRANTY; without even the implied warranty
c of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
c See the GNU General Public License for more details.
c 
c You should have received a copy of the GNU Library General Public License
c along with this library.  If not, write to the Free Software Foundation,
c Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
c 
c Written by E. Robert Tisdale
c 
      program main
        include "matrix.h"
        integer m, n
        parameter (m = 4, n = 7)
c       matrix    view
        integer mview(subm_size)
        integer pm
c       transpose view
        integer tview(subm_size)
        integer pt
        real*8 a(m, n)
        integer i, j
c
        pm = ilocation(mview)
        callsubm_init(pm, dh_create(dlocation(a)), 0, m, 1, n, m)
        pt = ilocation(tview)
        callsubm_init(pt, dh_create(dlocation(a)), 0, n, m, m, 1)
        write (*,*) subm_handle(pm)
        write (*,*) subm_offset(pm)
        write (*,*) subm_extent1(pm)
        write (*,*) subm_stride1(pm)
        write (*,*) subm_extent2(pm)
        write (*,*) subm_stride2(pm)
c
        do 200 i = 1, m
          do 100 j = 1, n
            a(i, j) = i*10 + j
  100     continue
  200   continue
c
        do 400 i = 1, m
          do 300 j = 1, n
            write (*,*) dsubm_get(pm, i, j)
  300     continue
  400   continue
        write (*,*)
c
        do 600 i = 1, n
          do 500 j = 1, m
            write (*,*) dsubm_get(pt, i, j)
  500     continue
  600   continue
        write (*,*)
c
        callsubm_destroy(pt)
        callsubm_destroy(pm)
        end
