dnl main.m4
dnl 
dnl The Fortran 77 Numerical Class library
dnl Copyright (C) 2000 E. Robert Tisdale
dnl 
dnl This file is part of The Fortran 77 Numerical Class library.
dnl This library is free software which you can redistribute and/or modify
dnl under the terms of the GNU Library General Public License
dnl as published by the Free Software Foundation;
dnl either version 2, or (at your option) any later version.
dnl 
dnl This library is distributed in the hope that it will be useful,
dnl but WITHOUT ANY WARRANTY; without even the implied warranty
dnl of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
dnl See the GNU General Public License for more details.
dnl 
dnl You should have received a copy of the GNU Library General Public License
dnl along with this library.  If not, write to the Free Software Foundation,
dnl Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
dnl 
dnl Written by E. Robert Tisdale
dnl 
define(ilocation, `ifelse($#, 0, ``ilocation'', ``ilocation($1)'')')dnl
define(slocation, `ifelse($#, 0, ``slocation'', ``slocation($1)'')')dnl
define(dlocation, `ifelse($#, 0, ``dlocation'', ``dlocation($1)'')')dnl
define(sclocation, `ifelse($#, 0, ``sclocation'', ``sclocation($1)'')')dnl
define(dclocation, `ifelse($#, 0, ``dclocation'', ``dclocation($1)'')')dnl
define(i_get, `ifelse($#, 0, ``i_get'', ``i_get($1)'')')dnl
define(s_get, `ifelse($#, 0, ``s_get'', ``s_get($1)'')')dnl
define(d_get, `ifelse($#, 0, ``d_get'', ``d_get($1)'')')dnl
define(sc_get, `ifelse($#, 0, ``sc_get'', ``sc_get($1)'')')dnl
define(dc_get, `ifelse($#, 0, ``dc_get'', ``dc_get($1)'')')dnl
define(ih_create, `ifelse($#, 0, ``ih_create'', $1)')dnl
define(sh_create, `ifelse($#, 0, ``sh_create'', $1)')dnl
define(dh_create, `ifelse($#, 0, ``dh_create'', $1)')dnl
define(sch_create, `ifelse($#, 0, ``sch_create'', $1)')dnl
define(dch_create, `ifelse($#, 0, ``dch_create'', $1)')dnl
define(ih_get,
`ifelse($#, 0. ``ih_get'', `i_get($1 + ishft($2, iShift))')')dnl
define(sh_get,
`ifelse($#, 0. ``sh_get'', `s_get($1 + ishft($2, sShift))')')dnl
define(dh_get,
`ifelse($#, 0. ``dh_get'', `d_get($1 + ishft($2, dShift))')')dnl
define(sch_get,
`ifelse($#, 0. ``sch_get'', `sc_get($1 + ishft($2, scShift))')')dnl
define(dch_get,
`ifelse($#, 0. ``dch_get'', `dc_get($1 + ishft($2, dcShift))')')dnl
dnl
define(subv_handle,
`ifelse($#, 0, ``subv_handle'', `iValue0(ishft($1, -iShift) + 1)')')dnl
define(subv_offset,
`ifelse($#, 0, ``subv_offset'', `iValue0(ishft($1, -iShift) + 1)')')dnl
define(subv_extent,
`ifelse($#, 0, ``subv_extent'', `iValue0(ishft($1, -iShift) + 1)')')dnl
define(subv_stride,
`ifelse($#, 0, ``subv_stride'', `iValue0(ishft($1, -iShift) + 1)')')dnl
define(callsubv_init,
       `iValue0(ishft($1, -iShift) + 1) = $2
        iValue0(ishft($1, -iShift) + 2) = $3
        iValue0(ishft($1, -iShift) + 3) = $4
        iValue0(ishft($1, -iShift) + 4) = $5
        iValue0(ishft($1, -iShift) + 5) = other')dnl
define(callsubv_destroy,
`iValue0(ishft($1, -iShift) + 5) = not(other)')dnl
define(isubv_get, `ifelse($#, 0, ``isubv_get'', `i_get (
     1    subv_handle($1)
     1    + ishft(subv_offset($1)
     1    + ($2-1)*subv_stride($1), iShift))
     1    ')')dnl
define(ssubv_get, `ifelse($#, 0, ``ssubv_get'', `s_get (
     1    subv_handle($1)
     1    + ishft(subv_offset($1)
     1    + ($2-1)*subv_stride($1), sShift))
     1    ')')dnl
define(dsubv_get, `ifelse($#, 0, ``dsubv_get'', `d_get (
     1    subv_handle($1)
     1    + ishft(subv_offset($1)
     1    + ($2-1)*subv_stride($1), dShift))
     1    ')')dnl
define(scsubv_get, `ifelse($#, 0, ``scsubv_get'', `sc_get (
     1    subv_handle($1)
     1    + ishft(subv_offset($1)
     1    + ($2-1)*subv_stride($1), scShift))
     1    ')')dnl
define(dcsubv_get, `ifelse($#, 0, ``dcsubv_get'', `dc_get (
     1    subv_handle($1)
     1    + ishft(subv_offset($1)
     1    + ($2-1)*subv_stride($1), dcShift))
     1    ')')dnl
define(callisubv_set, `i_set(
     1    subm_handle($1)
     1    + ishft(subm_offset($1)
     1    + ($2-1)*subm_stride1($1), iShift), $3)
     1    ')dnl
define(callssubv_set, `s_set(
     1    subm_handle($1)
     1    + ishft(subm_offset($1)
     1    + ($2-1)*subm_stride1($1), sShift), $3)
     1    ')dnl
define(calldsubv_set, `d_set(
     1    subm_handle($1)
     1    + ishft(subm_offset($1)
     1    + ($2-1)*subm_stride1($1), dShift), $3)
     1    ')dnl
define(callscsubv_set, `sc_set(
     1    subm_handle($1)
     1    + ishft(subm_offset($1)
     1    + ($2-1)*subm_stride1($1), scShift), $3)
     1    ')dnl
define(calldcsubv_set, `dc_set(
     1    subm_handle($1)
     1    + ishft(subm_offset($1)
     1    + ($2-1)*subm_stride1($1), dcShift), $3)
     1    ')dnl
dnl
define(subm_handle,
`ifelse($#, 0, ``subm_handle'', `iValue0(ishft($1, -iShift) + 1)')')dnl
define(subm_offset,
`ifelse($#, 0, ``subm_offset'', `iValue0(ishft($1, -iShift) + 2)')')dnl
define(subm_extent1,
`ifelse($#, 0, ``subm_extent1'', `iValue0(ishft($1, -iShift) + 3)')')dnl
define(subm_stride1,
`ifelse($#, 0, ``subm_stride1'', `iValue0(ishft($1, -iShift) + 4)')')dnl
define(subm_extent2,
`ifelse($#, 0, ``subm_extent2'', `iValue0(ishft($1, -iShift) + 5)')')dnl
define(subm_stride2,
`ifelse($#, 0, ``subm_stride2'', `iValue0(ishft($1, -iShift) + 6)')')dnl
define(callsubm_init,
       `iValue0(ishft($1, -iShift) + 1) = $2
        iValue0(ishft($1, -iShift) + 2) = $3
        iValue0(ishft($1, -iShift) + 3) = $4
        iValue0(ishft($1, -iShift) + 4) = $5
        iValue0(ishft($1, -iShift) + 5) = $6
        iValue0(ishft($1, -iShift) + 6) = $7
        iValue0(ishft($1, -iShift) + 7) = other')dnl
define(callsubm_destroy,
       `iValue0(ishft($1, -iShift) + 7) = not(other)')dnl
define(isubm_get, `ifelse($#, 0, ``isubm_get'', `i_get (
     1    subm_handle($1)
     1    + ishft(subm_offset($1)
     1    + ($2-1)*subm_stride1($1)
     1    + ($3-1)*subm_stride2($1), iShift))
     1    ')')dnl
define(ssubm_get, `ifelse($#, 0, ``ssubm_get'', `s_get (
     1    subm_handle($1)
     1    + ishft(subm_offset($1)
     1    + ($2-1)*subm_stride1($1)
     1    + ($3-1)*subm_stride2($1), sShift))
     1    ')')dnl
define(dsubm_get, `ifelse($#, 0, ``dsubm_get'', `d_get (
     1    subm_handle($1)
     1    + ishft(subm_offset($1)
     1    + ($2-1)*subm_stride1($1)
     1    + ($3-1)*subm_stride2($1), dShift))
     1    ')')dnl
define(scsubm_get, `ifelse($#, 0, ``scsubm_get'', `sc_get (
     1    subm_handle($1)
     1    + ishft(subm_offset($1)
     1    + ($2-1)*subm_stride1($1)
     1    + ($3-1)*subm_stride2($1), scShift))
     1    ')')dnl
define(dcsubm_get, `ifelse($#, 0, ``dcsubm_get'', `dc_get (
     1    subm_handle($1)
     1    + ishft(subm_offset($1)
     1    + ($2-1)*subm_stride1($1)
     1    + ($3-1)*subm_stride2($1), dcShift))
     1    ')')dnl
define(callisubm_set, `i_set(
     1    subm_handle($1)
     1    + ishft(subm_offset($1)
     1    + ($2-1)*subm_stride1($1)
     1    + ($3-1)*subm_stride2($1), iShift), $4)
     1    ')dnl
define(callssubm_set, `s_set(
     1    subm_handle($1)
     1    + ishft(subm_offset($1)
     1    + ($2-1)*subm_stride1($1)
     1    + ($3-1)*subm_stride2($1), sShift), $4)
     1    ')dnl
define(calldsubm_set, `d_set(
     1    subm_handle($1)
     1    + ishft(subm_offset($1)
     1    + ($2-1)*subm_stride1($1)
     1    + ($3-1)*subm_stride2($1), dShift), $4)
     1    ')dnl
define(callscsubm_set, `sc_set(
     1    subm_handle($1)
     1    + ishft(subm_offset($1)
     1    + ($2-1)*subm_stride1($1)
     1    + ($3-1)*subm_stride2($1), scShift), $4)
     1    ')dnl
define(calldcsubm_set, `dc_set(
     1    subm_handle($1)
     1    + ishft(subm_offset($1)
     1    + ($2-1)*subm_stride1($1)
     1    + ($3-1)*subm_stride2($1), dcShift), $4)
     1    ')dnl
