c     matrix.h
c 
c The Fortran 77 Numerical Class library
c Copyright (C) 2000 E. Robert Tisdale
c 
c This file is part of The The Fortran 77 Numerical Class library.
c This library is free software which you can redistribute and/or modify
c under the terms of the GNU Library General Public License
c as published by the Free Software Foundation;
c either version 2, or (at your option) any later version.
c 
c This library is distributed in the hope that it will be useful,
c but WITHOUT ANY WARRANTY; without even the implied warranty
c of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
c See the GNU General Public License for more details.
c 
c You should have received a copy of the GNU Library General Public License
c along with this library.  If not, write to the Free Software Foundation,
c Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
c 
c Written by E. Robert Tisdale
c 
        subm_handle(pMATRIX)  = i_get(pMATRIX + ishft(0, iShift))
        subm_offset(pMATRIX)  = i_get(pMATRIX + ishft(1, iShift))
        subm_extent1(pMATRIX) = i_get(pMATRIX + ishft(2, iShift))
        subm_stride1(pMATRIX) = i_get(pMATRIX + ishft(3, iShift))
        subm_extent2(pMATRIX) = i_get(pMATRIX + ishft(4, iShift))
        subm_stride2(pMATRIX) = i_get(pMATRIX + ishft(5, iShift))
         isubm_get(pMATRIX, i, j) =
     1    ih_get(subm_handle(pMATRIX), subm_offset(pMATRIX)
     1    + (i-1)*subm_stride1(pMATRIX) + (j-1)*subm_stride2(pMATRIX))
         ssubm_get(pMATRIX, i, j) =
     1    sh_get(subm_handle(pMATRIX), subm_offset(pMATRIX)
     1    + (i-1)*subm_stride1(pMATRIX) + (j-1)*subm_stride2(pMATRIX))
         dsubm_get(pMATRIX, i, j) =
     1    dh_get(subm_handle(pMATRIX), subm_offset(pMATRIX)
     1    + (i-1)*subm_stride1(pMATRIX) + (j-1)*subm_stride2(pMATRIX))
        scsubm_get(pMATRIX, i, j) =
     1   sch_get(subm_handle(pMATRIX), subm_offset(pMATRIX)
     1    + (i-1)*subm_stride1(pMATRIX) + (j-1)*subm_stride2(pMATRIX))
        dcsubm_get(pMATRIX, i, j) =
     1   dch_get(subm_handle(pMATRIX), subm_offset(pMATRIX)
     1    + (i-1)*subm_stride1(pMATRIX) + (j-1)*subm_stride2(pMATRIX))
        include "vector.f"
