c	memory.h
c 
c The Fortran 77 Numerical Class library
c Copyright (C) 2000 E. Robert Tisdale
c 
c This file is part of The Fortran 77 Numerical Class library.
c This library is free software which you can redistribute and/or modify
c under the terms of the GNU Library General Public License
c as published by the Free Software Foundation;
c either version 2, or (at your option) any later version.
c 
c This library is distributed in the hope that it will be useful,
c but WITHOUT ANY WARRANTY; without even the implied warranty
c of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
c See the GNU General Public License for more details.
c 
c You should have received a copy of the GNU Library General Public License
c along with this library.  If not, write to the Free Software Foundation,
c Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
c 
c Written by E. Robert Tisdale
c
        include   "shifts.h"
        integer    cValueSize
        parameter (cValueSize=28)
        character  cValue0(cValueSize)
        integer
     1    iValueSize,sValueSize,dValueSize, scValueSize,dcValueSize
        parameter (iValueSize=7,sValueSize=7,dValueSize=3,
     1    scValueSize=3,dcValueSize=1)
        integer*4  iValue0(iValueSize)
        real*4     sValue0(sValueSize)
        real*8     dValue0(dValueSize), dValue1(dValueSize)
        complex*8  scValue0(scValueSize), scValue1(scValueSize)
        complex*16 dcValue0(dcValueSize), dcValue1(dcValueSize)
        complex*16 dcValue2(dcValueSize), dcValue3(dcValueSize)
        equivalence (iValue0,cValue0)
c     Assume that integer*4,real*4,real*8, complex*8,complex*16
c     types are aligned on 4 byte word boundaries.
        equivalence (
     1    iValue0(1),sValue0(1),dValue0(1), scValue0(1),dcValue0(1))
        equivalence (
     1    iValue0(2),sValue0(2),dValue1(1), scValue1(1),dcValue1(1))
        equivalence (
     1    iValue0(3),sValue0(3),dValue0(2), scValue0(2),dcValue2(1))
        equivalence (
     1    iValue0(4),sValue0(4),dValue1(2), scValue1(2),dcValue3(1))
        common/virtualMemory/iValue0
c
        integer    malloc
        integer	   cLocation
        character  c_get
        integer    iLocation,sLocation,dLocation, scLocation,dcLocation
        integer*4  i_get
        real*4     s_get
        real*8     d_get
        complex*8  sc_get
        complex*16 dc_get
