c     handle.f
c 
c The Fortran 77 Numerical Class library
c Copyright (C) 2000 E. Robert Tisdale
c 
c This file is part of The Fortran 77 Numerical Class library.
c This library is free software which you can redistribute and/or modify
c under the terms of the GNU Library General Public License
c as published by the Free Software Foundation;
c either version 2, or (at your option) any later version.
c 
c This library is distributed in the hope that it will be useful,
c but WITHOUT ANY WARRANTY; without even the implied warranty
c of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
c See the GNU General Public License for more details.
c 
c You should have received a copy of the GNU Library General Public License
c along with this library.  If not, write to the Free Software Foundation,
c Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
c 
c Written by E. Robert Tisdale
c 
      integer function  ih_create(p)
        integer p
        ih_create = p
        end

      integer function  sh_create(p)
        integer p
        ih_create = p
        end

      integer function  dh_create(p)
        integer p
        ih_create = p
        end

      integer function sch_create(p)
        integer p
        ih_create = p
        end

      integer function dch_create(p)
        integer p
        ih_create = p
        end

      integer*4 function ih_get(handle, offset)
        integer handle, offset
        include "memory.h"
        ih_get = i_get(handle + ishft(offset, iShift))
        end

      real*4 function sh_get(handle, offset)
        integer handle, offset
        include "memory.h"
        sh_get = s_get(handle + ishft(offset, sShift))
        end

      real*8 function dh_get(handle, offset)
        integer handle, offset
        include "memory.h"
        dh_get = d_get(handle + ishft(offset, dShift))
        end

      complex*8 function sch_get(handle, offset)
        integer handle, offset
        include "memory.h"
        sch_get = sc_get(handle + ishft(offset, scShift))
        end

      complex*16 function dch_get(handle, offset)
        integer handle, offset
        include "memory.h"
        dch_get = dc_get(handle + ishft(offset, dcShift))
        end

      subroutine ih_set(handle, offset, x)
        integer handle, offset
        integer*4 x
        include "shifts.h"
        call i_set(handle + ishft(offset, iShift), x)
        end

      subroutine sh_set(handle, offset, x)
        integer handle, offset
        real*4 x
        include "shifts.h"
        call s_set(handle + ishft(offset, sShift), x)
        end

      subroutine dh_set(handle, offset, x)
        integer handle, offset
        real*8 x
        include "shifts.h"
        call d_set(handle + ishft(offset, dShift), x)
        end

      subroutine sch_set(handle, offset, x)
        integer handle, offset
        complex*8  x
        include "shifts.h"
        call sc_set(handle + ishft(offset, scShift), x)
        end

      subroutine dch_set(handle, offset, x)
        integer handle, offset
        complex*16 x
        include "shifts.h"
        call dc_set(handle + ishft(offset, dcShift), x)
        end

